# OgreControllerManager.h File Reference

`#include "OgrePrerequisites.h"`
`#include "OgreCommon.h"`
`#include "OgreSingleton.h"`
`#include "OgreController.h"`
`#include "OgrePredefinedControllers.h"`
`#include "OgreTextureUnitState.h"`
`#include "OgreSharedPtr.h"`

Go to the source code of this file.

## Namespaces

namespace | Ogre

## Typedefs

typedef SharedPtr< ControllerValue< Real > > | ControllerValueRealPtr
typedef SharedPtr< ControllerFunction< Real > > | ControllerFunctionRealPtr

## Typedef Documentation

typedef SharedPtr< ControllerFunction<Real> > Ogre::ControllerFunctionRealPtr

| Definition at line 44 of file OgreControllerManager.h.

typedef SharedPtr< ControllerValue<Real> > Ogre::ControllerValueRealPtr

| Definition at line 43 of file OgreControllerManager.h.

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sat Apr 11 13:46:44 2009